Topic
  • 7 replies
  • Latest Post - ‏2005-11-22T20:36:25Z by SystemAdmin
SystemAdmin
SystemAdmin
14225 Posts

Pinned topic How to subversion respository?

‏2004-10-03T14:59:44Z |

I am using WSAD 5.1.2 and would like to access Subversion repository
1.0.x, just like Eclipse does. I hope someone could help me whether
there is any plug-in is needed and how to configure WSAD 5.1.2 to access
Subversion repository.

Thanks a lot.

John Mok
Updated on 2005-11-22T20:36:25Z at 2005-11-22T20:36:25Z by SystemAdmin
  • SystemAdmin
    SystemAdmin
    14225 Posts

    Re: How to subversion respository?

    ‏2004-10-03T15:15:30Z  
    John Mok wrote:
    >
    > I am using WSAD 5.1.2 and would like to access Subversion repository
    > 1.0.x, just like Eclipse does. I hope someone could help me whether
    > there is any plug-in is needed and how to configure WSAD 5.1.2 to access
    > Subversion repository.
    >
    > Thanks a lot.
    >
    > John Mok

    A VERY cursory search leads me to http://subclipse.tigris.org where
    you might get a subversion plugin for Eclipse 2.1.

    Mike
  • SystemAdmin
    SystemAdmin
    14225 Posts

    Re: How to subversion respository?

    ‏2004-10-04T11:26:37Z  
    John Mok wrote:
    >
    > I am using WSAD 5.1.2 and would like to access Subversion repository
    > 1.0.x, just like Eclipse does. I hope someone could help me whether
    > there is any plug-in is needed and how to configure WSAD 5.1.2 to access
    > Subversion repository.
    >
    > Thanks a lot.
    >
    > John Mok

    A VERY cursory search leads me to http://subclipse.tigris.org where
    you might get a subversion plugin for Eclipse 2.1.

    Mike

    I did try the plug-in from http://subclipse.tigris.org. However, the
    directory of WSAD 5.1.2 is different from the documentation of
    Subsclipse plug-in for Eclipse 2.1, and I followed the instructions and
    tried to unzip the zip package into the following directories,

    C:\Program Files\IBM\WebSphere Studio
    C:\Program Files\IBM\WebSphere Studio\eclipse
    C:\Program Files\IBM\WebSphere Studio\Application Developer\v5.1.2
    C:\Program Files\IBM\WebSphere Studio\Application Developer\v5.1.2\eclipse

    but all have no luck. Please help me how to install the plug-in into
    WSAD5.1.2

    Thank you, John Mok
    M.Hockings wrote:
    > John Mok wrote:
    >
    >>
    >> I am using WSAD 5.1.2 and would like to access Subversion repository
    >> 1.0.x, just like Eclipse does. I hope someone could help me whether
    >> there is any plug-in is needed and how to configure WSAD 5.1.2 to
    >> access Subversion repository.
    >>
    >> Thanks a lot.
    >>
    >> John Mok
    >
    >
    > A VERY cursory search leads me to http://subclipse.tigris.org where
    > you might get a subversion plugin for Eclipse 2.1.
    >
    > Mike
  • SystemAdmin
    SystemAdmin
    14225 Posts

    Re: How to subversion respository?

    ‏2004-10-04T12:12:08Z  

    I did try the plug-in from http://subclipse.tigris.org. However, the
    directory of WSAD 5.1.2 is different from the documentation of
    Subsclipse plug-in for Eclipse 2.1, and I followed the instructions and
    tried to unzip the zip package into the following directories,

    C:\Program Files\IBM\WebSphere Studio
    C:\Program Files\IBM\WebSphere Studio\eclipse
    C:\Program Files\IBM\WebSphere Studio\Application Developer\v5.1.2
    C:\Program Files\IBM\WebSphere Studio\Application Developer\v5.1.2\eclipse

    but all have no luck. Please help me how to install the plug-in into
    WSAD5.1.2

    Thank you, John Mok
    M.Hockings wrote:
    > John Mok wrote:
    >
    >>
    >> I am using WSAD 5.1.2 and would like to access Subversion repository
    >> 1.0.x, just like Eclipse does. I hope someone could help me whether
    >> there is any plug-in is needed and how to configure WSAD 5.1.2 to
    >> access Subversion repository.
    >>
    >> Thanks a lot.
    >>
    >> John Mok
    >
    >
    > A VERY cursory search leads me to http://subclipse.tigris.org where
    > you might get a subversion plugin for Eclipse 2.1.
    >
    > Mike
    John Mok wrote:
    >
    > I did try the plug-in from http://subclipse.tigris.org. However, the
    > directory of WSAD 5.1.2 is different from the documentation of
    > Subsclipse plug-in for Eclipse 2.1, and I followed the instructions and
    > tried to unzip the zip package into the following directories,
    >
    > C:\Program Files\IBM\WebSphere Studio
    > C:\Program Files\IBM\WebSphere Studio\eclipse
    > C:\Program Files\IBM\WebSphere Studio\Application Developer\v5.1.2
    > C:\Program Files\IBM\WebSphere Studio\Application Developer\v5.1.2\eclipse
    >
    > but all have no luck. Please help me how to install the plug-in into
    > WSAD5.1.2
    >
    > Thank you, John Mok

    Hmmm, I thought the instructions on the site are ok, though you have to
    interpret a bit. Keep in mind I don't use subversion and this does not
    install subversion you need to obtain and install that separately.

    Looks like you had a previous version of WSAD or something installed,
    the 5.1.2 directory is the one you want I think

    For Windows get the .zip file from
    http://subclipse.tigris.org/files/documents/906/13512/org.tigris.subversion.subclipse_0.9.3.1.zip
    and unpack it, lets say, into your c:\ directory.

    End WSAD
    Then copy the contents of

    c:\org.tigris.subversion.subclipse_0.9.3.1\eclipse\plugins

    into

    C:\Program Files\IBM\WebSphere Studio\Application
    Developer\v5.1.2\eclipse\plugins

    Well, at least when I did the above I had the option of creating a new
    SVNExplorer perspective, though I don't have subversion installed so it
    won't load.

    Q.E.D.

    Mike
  • SystemAdmin
    SystemAdmin
    14225 Posts

    Re: How to subversion respository?

    ‏2004-10-05T15:06:12Z  
    John Mok wrote:
    >
    > I did try the plug-in from http://subclipse.tigris.org. However, the
    > directory of WSAD 5.1.2 is different from the documentation of
    > Subsclipse plug-in for Eclipse 2.1, and I followed the instructions and
    > tried to unzip the zip package into the following directories,
    >
    > C:\Program Files\IBM\WebSphere Studio
    > C:\Program Files\IBM\WebSphere Studio\eclipse
    > C:\Program Files\IBM\WebSphere Studio\Application Developer\v5.1.2
    > C:\Program Files\IBM\WebSphere Studio\Application Developer\v5.1.2\eclipse
    >
    > but all have no luck. Please help me how to install the plug-in into
    > WSAD5.1.2
    >
    > Thank you, John Mok

    Hmmm, I thought the instructions on the site are ok, though you have to
    interpret a bit. Keep in mind I don't use subversion and this does not
    install subversion you need to obtain and install that separately.

    Looks like you had a previous version of WSAD or something installed,
    the 5.1.2 directory is the one you want I think

    For Windows get the .zip file from
    http://subclipse.tigris.org/files/documents/906/13512/org.tigris.subversion.subclipse_0.9.3.1.zip
    and unpack it, lets say, into your c:\ directory.

    End WSAD
    Then copy the contents of

    c:\org.tigris.subversion.subclipse_0.9.3.1\eclipse\plugins

    into

    C:\Program Files\IBM\WebSphere Studio\Application
    Developer\v5.1.2\eclipse\plugins

    Well, at least when I did the above I had the option of creating a new
    SVNExplorer perspective, though I don't have subversion installed so it
    won't load.

    Q.E.D.

    Mike
    Hello Mike,

    Yes, you are correct. My installation is a little messy, that I have
    installed included WSAD5.1.2, WSDD 5.5.x and others. After I have copied
    the following DLLs from the zipped package to the win2k system32
    directory :-

    libdb42.dll
    libeay32.dll
    ssleay32.dll

    Now the subclipse plug-in works perfectly in WSAD5.1.2.

    Thank you very much.

    John Mok
    >
    > Hmmm, I thought the instructions on the site are ok, though you have to
    > interpret a bit. Keep in mind I don't use subversion and this does not
    > install subversion you need to obtain and install that separately.
    >
    > Looks like you had a previous version of WSAD or something installed,
    > the 5.1.2 directory is the one you want I think
    >
    > For Windows get the .zip file from
    > http://subclipse.tigris.org/files/documents/906/13512/org.tigris.subversion.subclipse_0.9.3.1.zip
    >
    > and unpack it, lets say, into your c:\ directory.
    >
    > End WSAD
    > Then copy the contents of
    >
    > c:\org.tigris.subversion.subclipse_0.9.3.1\eclipse\plugins
    >
    > into
    >
    > C:\Program Files\IBM\WebSphere Studio\Application
    > Developer\v5.1.2\eclipse\plugins
    >
    > Well, at least when I did the above I had the option of creating a new
    > SVNExplorer perspective, though I don't have subversion installed so it
    > won't load.
    >
    > Q.E.D.
    >
    > Mike
  • SystemAdmin
    SystemAdmin
    14225 Posts

    Re: How to subversion respository?

    ‏2004-10-05T18:22:29Z  
    Hello Mike,

    Yes, you are correct. My installation is a little messy, that I have
    installed included WSAD5.1.2, WSDD 5.5.x and others. After I have copied
    the following DLLs from the zipped package to the win2k system32
    directory :-

    libdb42.dll
    libeay32.dll
    ssleay32.dll

    Now the subclipse plug-in works perfectly in WSAD5.1.2.

    Thank you very much.

    John Mok
    >
    > Hmmm, I thought the instructions on the site are ok, though you have to
    > interpret a bit. Keep in mind I don't use subversion and this does not
    > install subversion you need to obtain and install that separately.
    >
    > Looks like you had a previous version of WSAD or something installed,
    > the 5.1.2 directory is the one you want I think
    >
    > For Windows get the .zip file from
    > http://subclipse.tigris.org/files/documents/906/13512/org.tigris.subversion.subclipse_0.9.3.1.zip
    >
    > and unpack it, lets say, into your c:\ directory.
    >
    > End WSAD
    > Then copy the contents of
    >
    > c:\org.tigris.subversion.subclipse_0.9.3.1\eclipse\plugins
    >
    > into
    >
    > C:\Program Files\IBM\WebSphere Studio\Application
    > Developer\v5.1.2\eclipse\plugins
    >
    > Well, at least when I did the above I had the option of creating a new
    > SVNExplorer perspective, though I don't have subversion installed so it
    > won't load.
    >
    > Q.E.D.
    >
    > Mike
    John Mok wrote:
    > Hello Mike,
    >
    > Yes, you are correct. My installation is a little messy, that I have
    > installed included WSAD5.1.2, WSDD 5.5.x and others. After I have copied
    > the following DLLs from the zipped package to the win2k system32
    > directory :-
    >
    > libdb42.dll
    > libeay32.dll
    > ssleay32.dll
    >
    > Now the subclipse plug-in works perfectly in WSAD5.1.2.
    >
    > Thank you very much.
    >
    > John Mok
    Good, glad to hear you got it going.
    I think Eclipse needs some sort of installer/uninstaller (maybe such a
    thing exists, I don't know) so that plugin authors can provide an easy
    way to add or remove their plugins.

    Mike
  • SystemAdmin
    SystemAdmin
    14225 Posts

    Re: How to subversion respository?

    ‏2005-03-23T14:25:09Z  
    John Mok wrote:
    >
    > I did try the plug-in from http://subclipse.tigris.org. However, the
    > directory of WSAD 5.1.2 is different from the documentation of
    > Subsclipse plug-in for Eclipse 2.1, and I followed the instructions and
    > tried to unzip the zip package into the following directories,
    >
    > C:\Program Files\IBM\WebSphere Studio
    > C:\Program Files\IBM\WebSphere Studio\eclipse
    > C:\Program Files\IBM\WebSphere Studio\Application Developer\v5.1.2
    > C:\Program Files\IBM\WebSphere Studio\Application Developer\v5.1.2\eclipse
    >
    > but all have no luck. Please help me how to install the plug-in into
    > WSAD5.1.2
    >
    > Thank you, John Mok

    Hmmm, I thought the instructions on the site are ok, though you have to
    interpret a bit. Keep in mind I don't use subversion and this does not
    install subversion you need to obtain and install that separately.

    Looks like you had a previous version of WSAD or something installed,
    the 5.1.2 directory is the one you want I think

    For Windows get the .zip file from
    http://subclipse.tigris.org/files/documents/906/13512/org.tigris.subversion.subclipse_0.9.3.1.zip
    and unpack it, lets say, into your c:\ directory.

    End WSAD
    Then copy the contents of

    c:\org.tigris.subversion.subclipse_0.9.3.1\eclipse\plugins

    into

    C:\Program Files\IBM\WebSphere Studio\Application
    Developer\v5.1.2\eclipse\plugins

    Well, at least when I did the above I had the option of creating a new
    SVNExplorer perspective, though I don't have subversion installed so it
    won't load.

    Q.E.D.

    Mike
    You have to install Subversion (http://subversion.tigris.org) and your PATH variable must include the path to the svn.exe. Look at my short instrauctions at:
    http://dev.kanngard.net/Permalinks/ID_20050323154345.html
  • SystemAdmin
    SystemAdmin
    14225 Posts

    Re: How to subversion respository?

    ‏2005-11-22T20:36:25Z  
    You have to install Subversion (http://subversion.tigris.org) and your PATH variable must include the path to the svn.exe. Look at my short instrauctions at:
    http://dev.kanngard.net/Permalinks/ID_20050323154345.html
    I've done all the steps you describe in http://dev.kanngard.net/Permalinks/ID_20050323154345.html, but i can't run it in my installation. Is it possible running WSAD 4.0.3 and the Subversion plugin?